package com.jxy.marketall.enums;

/**
 * @Description coin指标查询范围条件
 * @Date 2022/5/20 11:15
 * @Author 杜懿
 */
public enum NumberType {

    NUMBER_TYPE0("0", "0","0"),
    NUMBER_TYPE001("1", "0.01","001"),
    NUMBER_TYPE01("2", "0.1","01"),
    NUMBER_TYPE1("3", "1","1"),
    NUMBER_TYPE10("4", "10","10"),
    NUMBER_TYPE100("5", "100","100"),
    NUMBER_TYPE1000("6", "1000","1000"),
    NUMBER_TYPE10000("7", "10000","10000");

    private final String code;
    private final String info;
    private final String value;


    NumberType(String code, String info, String value)
    {
        this.code = code;
        this.info = info;
        this.value = value;
    }

    public String getCode()
    {
        return code;
    }

    public String getInfo()
    {
        return info;
    }

    public String getValue()
    {
        return value;
    }

}
